geos::planargraph::algorithm::ConnectedSubgraphFinder Class Reference

Finds all connected `Subgraph`s of a PlanarGraph. More...

`#include <ConnectedSubgraphFinder.h>`

## Public Member Functions

| ConnectedSubgraphFinder (PlanarGraph &newGraph)
void | getConnectedSubgraphs (std::vector< Subgraph * > &dest)
| Store newly allocated connected Subgraphs into the given std::vector.

## Detailed Description

Finds all connected `Subgraph`s of a PlanarGraph.

Note: uses the `isVisited` flag on the nodes.

## Member Function Documentation

## getConnectedSubgraphs()

void geos::planargraph::algorithm::ConnectedSubgraphFinder::getConnectedSubgraphs | ( | std::vector< Subgraph * > & | dest | ) |

Store newly allocated connected Subgraphs into the given std::vector.

Caller take responsibility in releasing memory associated with the subgraphs themself.

The documentation for this class was generated from the following file:

- ConnectedSubgraphFinder.h